Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451168 - pa_IN collation/sorting in not available in glibc
Summary: pa_IN collation/sorting in not available in glibc
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: glibc
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Pravin Satpute
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-13 06:34 UTC by Jaswinder Singh
Modified: 2016-11-24 15:49 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-04 07:16:26 UTC


Attachments (Terms of Use)
It will add punjabi(Gurumukhi) sorting support in glibc (deleted)
2008-06-16 09:42 UTC, Pravin Satpute
no flags Details | Diff

Description Jaswinder Singh 2008-06-13 06:34:39 UTC
Description of problem:

In nautilus, Punjabi characters are not getting sorted in ascending order.

Version-Release number of selected component (if applicable):



How reproducible:


Steps to Reproduce:
1.Select Language=Punjabi while logging in.
2.Create a sample input files with Punjabi characters typed on each line and
save it in .txt form.
3.Open the .txt file in Nautilus and see the output for ascending sorting order.
  
Actual results:

Characters are not sorted in dictionary order.

Expected results:

Sorting should be in dictionary order.

Additional info:

Comment 1 Pravin Satpute 2008-06-13 06:46:55 UTC
working on this, i will soon submit patch :)

Jaswinder: thanks for reporting bug 

Comment 2 Pravin Satpute 2008-06-16 09:42:11 UTC
Created attachment 309474 [details]
It will add punjabi(Gurumukhi) sorting support in glibc

patch for adding gurumukhi script sorting support in glibc

Comment 3 Jaswinder Singh 2008-06-17 08:32:04 UTC
Testing for sorting support in glibc is completed. Sording order is as per the
expectation.

Comment 4 Ulrich Drepper 2008-06-24 17:01:48 UTC
I applied the patch upstream.

Comment 5 Pravin Satpute 2008-07-04 07:16:26 UTC
Ulrich,
thanks for that


Note You need to log in before you can comment on or make changes to this bug.